@charset "utf-8";

/* Hero Section */
.hero-section { position: relative; height: 100vh; min-height: 600px; display: flex; align-items: center; justify-content: center; overflow: hidden; }
.hero-section .inner { height: 100%; }
.hero-section .hero-content { position: relative; display: flex; flex-direction: column; justify-content: end; z-index: 1; height: 100%; color: white; }
.hero-section .hero-bg { position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: 0; }
.hero-section .hero-bg img { width: 100%; height: 100%; object-fit: cover; max-width: none; }
.hero-section .hero-title-logo { position: absolute; left:50%; top:46%; transform: translate(-50%,-50%); width: 100%; max-width: 800px; margin:0 auto; }
.hero-title { margin-bottom: 18rem; overflow: hidden; }
.hero-title .hero-title-main { display: block; margin-bottom: 2rem; font-size: var(--fs-68); font-weight: 300; }
.hero-title .hero-title-sub { display: block; font-size: var(--fs-48); font-weight: 800; line-height: 1.4; }
.hero-scroll-btn { position: absolute; bottom: 40px; left: 50%; transform: translateX(-50%); flex-direction: column; display: flex; align-items: center; justify-content: center; color: white; animation: bounce 2s infinite; font-weight: 800; font-size: 14px; text-align: center; }
.hero-scroll-btn img:nth-child(1) { width: 20px; margin-bottom: 7px; }
.hero-scroll-btn img:last-child { width: 9px; margin-top: 12px; }
.hero-section .swiper-pagination { margin-bottom: 16px; position: relative; text-align: left; }
.hero-section .swiper-pagination-bullet { width: 20px; height: 20px; margin-right: 10px; background: transparent; position: relative; opacity: 1; }
.hero-section .swiper-pagination-bullet-active { border:1px solid white; }
.hero-section .swiper-pagination-bullet::before { content: ''; display: block; position: absolute; left:50%; top:50%; transform: translate(-50%,-50%); width: 8px; aspect-ratio: 1/1; border-radius: 50%; background: white; }

@keyframes bounce { 0%, 20%, 50%, 80%, 100% { transform: translateX(-50%) translateY(0); } 40% { transform: translateX(-50%) translateY(-10px); } 60% { transform: translateX(-50%) translateY(-5px); } }


/* Vision Section */
.vision-section { padding: 16rem 0; }
.vision-section .vision-content { text-align: center; font-size: var(--fs-56); font-weight: 800; }
.vision-section .vision-title-line { display: block; line-height: 11.2rem; overflow: hidden; }
.vision-image-wrapper { display: inline-block; height: 11.2rem; aspect-ratio: 341/112; vertical-align: middle; border-radius: 10rem; overflow: hidden; }
.vision-image-wrapper img { width: 100%; height: 100%; object-fit: cover; }


.btn-more { display: inline-flex; align-items: center; gap: 1rem; font-size: 14px; font-weight: 800; }
.btn-more img { transition: .3s ease-out; }
.btn-more:hover img { transform: rotate(180deg); }
.btn-view { display: inline-flex; align-items: center; gap: 1.2rem; font-size: 14px; font-weight: 800; transition: var(--transition-base); }
/* Products Section */
.products-section { padding: 22rem 0 19rem; background: url('/resources/img/main/product_bg.jpg') no-repeat center/cover; color:white; overflow: hidden; }
.products-section .products-header { display: flex; align-items: flex-end; justify-content: space-between; margin-bottom: 9.2rem; overflow: hidden; }
.products-section .btn-more { color:white; }
.products-label { margin-bottom: 1.4rem; font-size: var(--fs-18); font-weight: 800; }
.products-header h3 { font-size: var(--fs-42); font-weight: 300; line-height: 1.4; }
.products-slider { position: relative; width: 92%; max-width: 1300px; margin:0 auto; overflow: visible; }
.products-slider li { width: 340px; height: auto; background-color: rgba(255, 255, 255, 0.4); border:1px solid rgba(255, 255, 255, 0.5); border-radius: 30px; overflow: hidden; transition: .3s ease-in; backdrop-filter: blur(5px); position: relative; }
.products-slider li:hover { transform: translateY(-8px); }
.products-slider li .product-card-image { width: 100%; aspect-ratio: 346 / 223; }
.products-slider li a { display: block; width: 100%; height: 100%; padding: 4.6rem 2rem 8rem; color:white; text-align: center; }
.products-slider li .product-card-title { font-size: var(--fs-28); font-weight: 700; line-height: 1.4; margin-bottom: 7px; }
.products-slider li .btn-view { position: absolute; right:1.2rem; bottom:1.2rem; }
.products-section .swiper-arrow { position: absolute; inset: 0; display: flex; justify-content: center; }
.products-section .swiper-button-next { right:-10px; transform: translateX(100%); background: url(/resources/img/common/swiper_next.svg) no-repeat center / 11px; }
.products-section .swiper-button-prev { left:-10px; transform: translateX(-100%) scaleX(-1); background: url(/resources/img/common/swiper_next.svg) no-repeat center / 11px; }


/* News Section */
.news-section { padding: 12rem 0; }
.news-section .inner { max-width: 1300px; }
.news-section .news-header { display: flex; align-items: end; justify-content: space-between; margin-bottom: 9.2rem; overflow: hidden; }
.news-section .news-label { margin-bottom: 1.4rem; font-size: var(--fs-18); color: var(--key-color); font-weight: 800; }
.news-section h3 { font-size: var(--fs-42); font-weight: 300; line-height: 1.4; }
.news-section .news-list { display: grid; grid-template-columns: repeat(3, 1fr); gap: 5rem; }
.news-section .news-list li { position: relative; overflow: hidden; border-radius: 30px 30px 0 30px; }
.news-section .news-list li a { display: flex; flex-direction: column; width: 100%; height: 100%; }
.news-section .news-list li .news-card-image { width: 100%; aspect-ratio: 40 / 21; overflow: hidden; }
.news-section .news-list li .news-card-image img { width: 100%; height: 100%; object-fit: cover; transition: .3s ease-in; }
.news-section .news-list li:hover .news-card-image img { transform: scale(1.05); }
.news-card-content { flex:1; padding: 5rem 4rem; position: relative; background: #F5F5F5; }
.news-card-content .news-card-title { font-size: var(--fs-24); font-weight: 800; line-height: 1.6; display: -webkit-box; word-wrap: break-word; -webkit-line-clamp: 2; -webkit-box-orient: vertical; text-overflow: ellipsis; overflow: hidden; }
.news-card-content .news-card-date { color: var(--key-color); margin-bottom: 1.4rem; font-weight: 500; }
.news-card-arrow { position: absolute; right:-1px; bottom:-1px; aspect-ratio: 86/87; width: 8.6rem; }
.news-card-arrow::after { content: ''; width: 4.9rem; aspect-ratio: 1/1; background: url('/resources/img/main/ico_view.svg') no-repeat center/contain; position: absolute; right:2px; bottom:2px; }


/* Partners Section */
.partners-section { padding: 9rem 0 11rem; background:#F5F5F5; text-align: center; overflow: hidden; }
.partners-section h3 { font-size: var(--fs-42); font-weight: 300; line-height: 1.4; }
.partners-title { overflow: hidden; margin-bottom: 7.6rem; }
.partners-grid { width: max-content; }
.partners-grid ul { width: max-content; display: flex; margin-top: 30px; gap:3rem; animation: scroll 25s linear infinite; }
.partners-grid ul:hover { animation-play-state: paused !important; }
.partners-grid ul:last-child { animation: scroll-reverse 25s linear infinite; }
.partners-grid li { flex-shrink: 0; background: white; border-radius: 16px; overflow: hidden; }

@keyframes scroll {
	0% { transform: translateX(0); }
	100% { transform: translateX(-50%);	}
}
@keyframes scroll-reverse {
	0% { transform: translateX(-50%); }
	100% { transform: translateX(0); }
}


/* CTA Section */
.cta-section { padding: 10rem 0; }
.cta-section .cta-content { display: flex; justify-content: space-between; padding: 8rem 11rem; background: url('/resources/img/main/cta_bg.jpg') no-repeat center/cover; border-radius: 16px; color:white; overflow: hidden; }
.cta-section .cta-label { margin-bottom: 1.4rem; font-size: var(--fs-18); font-weight: 800; }
.cta-section h3 { font-size: var(--fs-42); font-weight: 300; line-height: 1.4; }
.cta-cards { flex: 1; max-width: 650px; }
.cta-cards li { position: relative; margin-top: 10px; padding: 3.2rem 5rem; padding-right: 8rem; background-color: rgba(217, 217, 217, 0.2); border-radius: 16px; transition: .3s ease-in; }
.cta-cards li a { display: block; width: 100%; height: 100%; color:white; }
.cta-cards li:hover { background-color: rgba(255, 255, 255, 0.3); }
.cta-cards li .cta-card-icon { width: 48px; height: 48px; }
.cta-cards li .cta-card-title { font-size: var(--fs-32); font-weight: 800; margin-bottom: 4px; margin-top: 10px; line-height: 1.4; }
.cta-cards li .cta-card-text { font-size: var(--fs-18); line-height: 1.4; }
.cta-cards li .cta-card-arrow { position: absolute; right:3rem; bottom:3rem; }


@media screen and (max-width:1300px){
  .news-section .news-list li { border-radius: 16px 16px 0 16px; }
  .news-card-content { padding: 4rem 3rem; }
  .news-section .news-list { gap:3rem; }
  .news-card-arrow { width: 6.6rem; }
  .news-card-arrow::after { width: 4rem; }

  .cta-section .cta-content { padding: 6rem; }
  .cta-cards { max-width: 540px; }
  .cta-cards li { padding: 3rem; padding-right: 7rem; }
  .cta-cards li .cta-card-arrow { right: 2.4rem; bottom: 2.4rem; width: 4rem; }
}
@media screen and (max-width:1024px){
  .vision-section { padding: 12rem 0; }
  .vision-section .vision-title-line { line-height: 6rem; }
  .vision-image-wrapper { height: 6rem; }
  
  .products-section { padding: 16rem 0 14rem; }
  
  .news-card-content { padding: 3rem 2rem; }
  .news-section .news-list { gap:1.6rem; }
  .cta-section .cta-content { padding: 6rem; }
  
  .cta-section .cta-content { flex-direction: column; gap:3rem; padding: 6rem 4rem; }
  .cta-cards li { background: rgba(217, 217, 217, 0.8); color:var(--main-black); }
  .cta-cards li:hover { background: rgba(217, 217, 217, 0.8); }
  .cta-cards li a { color:var(--main-black); }
  .cta-cards { max-width: none; }
}

@media screen and (max-width:768px){
  .hero-section .hero-title-logo { top:38%; }
  .hero-title { margin-bottom: 14rem; }
  .hero-section { height: 70vh; }
  .hero-scroll-btn { bottom:20px; }

  .products-section { padding: 12rem 0 10rem; }
  .btn-view img { width: 3.2rem; }
  .products-slider li { border-radius: 16px; }

  .news-section .news-list { grid-template-columns: repeat(1, 1fr); }

  .partners-grid ul { gap:2rem; margin-top: 2rem; }
  .partners-grid li { width: 200px; border-radius: 10px; }

  .cta-section .cta-content { padding: 4rem 3rem 3rem; }
}

@media screen and (max-width:600px){
  .vision-section .vision-content { font-size: 21px; }
  .vision-section .vision-title-line { line-height: 40px; }
  .vision-image-wrapper { height: 40px; aspect-ratio: 110/40; }

  .products-section .products-header { flex-direction: column; gap:3rem; align-items: start; justify-content: start; }
  .news-section .news-header { flex-direction: column; gap:3rem; align-items: start; justify-content: start; }

  .partners-grid ul { gap:16px; margin-top: 16px; }
  .partners-grid li { width: 180px; border-radius: 10px; }
}


/* [필수] 인덱스 팝업 */
.divpop { position: fixed; background: #fff; border: 1px solid #eee; z-index: 9999; }
.divpop .close_box { padding: 5px; color: #000; border-top: 1px solid #eee; }
.divpop .close_box label { font-size: 12px; }
.divpop .close_box .close { float: right; padding-top: 3px; cursor: pointer; font-size: 14px; color: #999; }
@media screen and (max-width: 1200px){ 
    .divpop { left: 0px !important;} 
}
@media screen and (max-width: 768px){ 
    .divpop { width: 100% !important; height: auto !important; top: 0px !important; left: 0px !important; } 
}